Subject: RE: AD review of draft-ietf-bfd-tc-mib

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 30 Dec 2013 14:55:38 -0000

Hi Tom,

See other email saying put them both in the same document, but note that IANA
MIB modules are not extracted from RFCs by tools. The definitive copies of IANA
MIB modules live on the IANA web pages (that's the whole point!).

A

> From: Thomas Nadeau
> Sent: 30 December 2013 13:56:40 (UTC) Dublin, Edinburgh, Lisbon, London
> To: Jeffrey Haas
> Cc: Farrel Adrian; [email-masked]; [email-masked]
> Subject: Re: AD review of draft-ietf-bfd-tc-mib
> 
> On Dec 29, 2013:4:13 PM, at 4:13 PM, Jeffrey Haas <[email-masked]> wrote:
> 
> > Adrian,
> >
> > A brief followup - I'm sure the authors will have comments of their own:
> >
> > On Sun, Dec 29, 2013 at 07:59:09PM -0000, Adrian Farrel wrote:
> >> I think the Abstract should note that the TCs defined here are maintained
> >> by IANA as this is an important feature.
> >>
> >> BUT...
> >>
> >> I don't see why all of these TCs are in an IANA module. It seems that a
> >> number of them would not be updated by IANA upon the allocation of new
> >> protocol code points. I believe the following should be moved to their
> >> own module and out of the IANA module...
> >>
> >> IANAbfdSessIndexTC
> >> IANAbfdIntervalTC
> >> IANAbfdMultiplierTC
> >> IANAbfdCtrlDestPortNumberTC (unless you propose to define explicit
> >>                             enumerations)
> >> IANAbfdCtrlSourcePortNumberTC
> >>
> >> I am suspicious of some of the other TCs as well. Really, an IANA
> >> module should be used for TCs that mirror registries. Do the other
> >> TCs actually mirror registries? If so you should say which. If not,
> >> then you should probably move them out of the IANA module as well.
> >
> > Since this happened as part of last minute review, it's no surprise that
> > this wasn't quite done correctly.
> >
> > Is your preference to have a separate draft for this separation or could
> > both TC MIBs occur in the same document?
> 
>         While its been done both ways, I hope it would be sufficient at this
point to
> have a separate module within the same draft.  The biggest issue with that
> approach is making sure the ordering is done such that automated tools that
> extract the MIBs from the draft/RFC document have things ordered properly so
> as to just work.
> 
>         --Tom
> 
> 
> >
> > I suspect once this detail is settled, the remainder of your changes should
> > happen in short order.
> >
> > -- Jeff
> >

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Mon, 30 Dec 2013 12:22:55 -0500

cool. just working my way down the backlog of emails...

thx

Tom 

> On Dec 30, 2013, at 9:55 AM, "Adrian Farrel" <[email-masked]> wrote:
> 
> Hi Tom,
>